package _VisualDVM.ComponentsServer.Component;
import Common.Utils.Utils_;
public abstract class OSDComponent extends Component {
    @Override
    public String getFileName() {
        return getComponentType().toString() + (Utils_.isWindows() ? ".exe" : "");
    }
    @Override
    public String getNewFileName() {
        return getComponentType().toString() + "_new" + (Utils_.isWindows() ? ".exe" : "");
    }
}
